
Redmine - Defect #13549

migrate database from Redmine 1.4.3.stable (MySQL) to Redmine 2.3.0.stable (MySQL).

2013-03-21 16:02 - Victor Shkrob

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

After migration when accessing the Overview page of project, the following error gets logged

In the browser:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

In log:

Started GET "/redmine/projects" for 192.168.10.4 at Thu Mar 21 13:02:02 +0200 2013

Processing by ProjectsController#index as HTML

Current user: victor (id=3)

Rendered projects/index.html.erb within layouts/base (76.2ms)

Completed 200 OK in 89ms (Views: 84.7ms | ActiveRecord: 1.2ms)

Started GET "/redmine/projects/ss" for 192.168.10.4 at Thu Mar 21 13:02:43 +0200 2013

Processing by ProjectsController#show as HTML

Parameters: {"id"=>"ss"}

Current user: victor (id=3)

Completed 500 Internal Server Error in 32ms

ActiveRecord::StatementInvalid (Mysql::Error: You have an error in your SQL syntax; check the manual that corresponds to your

MySQL server version for the right syntax to use near ') AS count, tracker_id AS tracker_id FROM `issues` LEFT OUTER JOIN

`projects` ON' at line 1: SELECT COUNT AS count, tracker_id AS tracker_id FROM `issues` LEFT OUTER JOIN `projects` ON

`projects`.`id` = `issues`.`project_id` LEFT OUTER JOIN `issue_statuses` ON `issue_statuses`.`id` = `issues`.`status_id` WHERE

(projects.status <> 9 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='issue_tracking'))

AND (issue_statuses.is_closed = 0) AND ((projects.id = 2 OR (projects.lft > 1 AND projects.rgt < 2))) GROUP BY tracker_id):

app/controllers/projects_controller.rb:154:in `show'

Environment:

Redmine version                          2.3.0.stable

Ruby version                             1.8.7 (i686-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         MySQL

Redmine plugins:

no plugin installed

History

#1 - 2013-03-22 14:17 - Pavel Potcheptsov

Database adapter should be MySQL2, isn't it?

#2 - 2013-03-22 16:26 - Etienne Massip

Pavel Potcheptsov wrote:

Database adapter should be MySQL2, isn't it?

 Not with Ruby 1.8.

2025-07-12 1/2



#3 - 2013-03-27 14:24 - Victor Shkrob

Adapter mysql, couse Ruby 1.8.

New projects works good.

Problem only with migration from one server.

I tried migration from another server. All ok.

I think that MySQL table has bug.

Ideas?

#4 - 2019-01-10 03:25 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

I'm closing this ticket because is very old and almost sure obsolete.
